commit:     1ac4a0045bf47c39f6bef2224004a11544b74998
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 10 22:05:25 2021 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Sun Jul 11 14:41:56 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1ac4a004

net-p2p/bitcoin-qt: Bump to 0.21.1

Signed-off-by: Luke Dashjr <luke-jr+git <AT> utopios.org>
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 net-p2p/bitcoin-qt/Manifest                 |   2 +
 net-p2p/bitcoin-qt/bitcoin-qt-0.21.1.ebuild | 206 ++++++++++++++++++++++++++++
 2 files changed, 208 insertions(+)

diff --git a/net-p2p/bitcoin-qt/Manifest b/net-p2p/bitcoin-qt/Manifest
index 59fde979bce..01ce4fdf2a1 100644
--- a/net-p2p/bitcoin-qt/Manifest
+++ b/net-p2p/bitcoin-qt/Manifest
@@ -1,4 +1,6 @@
 DIST bitcoin-0.20.1.knots20200815.patches.tar.xz 413244 BLAKE2B 
bc8fd6bfe0454439ae514086ea3e728df4f1ba069d33f79b047049a1a4d18543334217f25607b738f7f2d1245f64e5289aed00473c94edf5d660e0953e4d6b93
 SHA512 
98468f4f22d5b9d35c616796aa5a8fda20f775606f0cd4927b3b822dd5afd0fc208c23136306f79d01dbfd532b14a5905a8fb60a2d171d5022d2008772cf7b58
 DIST bitcoin-0.21.0.knots20210130.patches.tar.xz 505040 BLAKE2B 
c8999de4158b8781bba6ad014ae14859f1e0bab3080c59a18910cf7447eb56da4b17a0e1843fdd3669d22636df9e4ddcc4526e4293bfd86dc884983a29a5f76c
 SHA512 
7ee27da3d26be0e93ecddff7bb21ef1746bcdb07f9a2b0ea48065367b4c44391e974e04a21e511c05fca8f55971ab8e3c3ac01a3775cc52a537d9e10966d9871
+DIST bitcoin-0.21.1.knots20210629.patches.tar.xz 623916 BLAKE2B 
c6b669270b7f9718c8452a1c28280b6005edee299a3ab8d754dbf722d021576871ddce200342bf157dd5158c058686aa3dde913970779d8c2e560b8df772821c
 SHA512 
ba058554453efc7ad036b8cc945ba403a6bd4e30dae0fbcee7fbe2f0ce90854a867fe49b0522595c081930d406bdf56987982f403fc8299b3c776eea4672abae
 DIST bitcoin-v0.20.1.tar.gz 6986090 BLAKE2B 
ef0e6c424bcb7ffe9a2461e60499cebdfcd13faa794d534b4c508a61fa218dd58e64c9088584ea658736deeadc0306fbdf08daa3c395dac3d8f096a08ba42262
 SHA512 
73a103d4192eb12abed5aa84e9c7999d57e4da37f32e54107ab9f4297a29af64c0c56930674559073bed360f794d87ba5eb9e1ce4d1bd03402d56937490fa16e
 DIST bitcoin-v0.21.0.tar.gz 7533957 BLAKE2B 
01247cbb9fca2381a8c08ab1c88c479c640963caef22e4207aab46b05813dbf2a5286ac9e98132fb34db0e9ac6c18c79e45a89de166f5c6d480d8ac6e14ecca2
 SHA512 
c58187996932b0151432a65885b7e8a7b216fb1ab0576fb7d4b5e9620d957594b05e181153e2e0e50bcd5ce764861ec11019ffbb1095d3e704f441e61ac6a04f
+DIST bitcoin-v0.21.1.tar.gz 7635092 BLAKE2B 
83610537c3cf6a11a1f59b92085b7a99fb22013ead1c6dce0c8f3182b69b11be6801f1f3b35bf31d72cfc15c76b6a69f1e6f3b754ff179565c0a687d16a35a48
 SHA512 
648739df8f360609d7b562e0bbfb3ab852eb6c538aa33ef56f71e7652ee766648ee8782aadeed1def1f2174d3330bbbdf9b1eee5090ca292e8d4a46c1b7f5c46

diff --git a/net-p2p/bitcoin-qt/bitcoin-qt-0.21.1.ebuild 
b/net-p2p/bitcoin-qt/bitcoin-qt-0.21.1.ebuild
new file mode 100644
index 00000000000..71f88ca3d98
--- /dev/null
+++ b/net-p2p/bitcoin-qt/bitcoin-qt-0.21.1.ebuild
@@ -0,0 +1,206 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DB_VER="4.8"
+inherit autotools bash-completion-r1 db-use desktop xdg-utils
+
+BITCOINCORE_COMMITHASH="194b9b8792d9b0798fdb570b79fa51f1d1f5ebaf"
+KNOTS_PV="${PV}.knots20210629"
+KNOTS_P="bitcoin-${KNOTS_PV}"
+
+DESCRIPTION="An end-user Qt GUI for the Bitcoin crypto-currency"
+HOMEPAGE="https://bitcoincore.org/ https://bitcoinknots.org/";
+SRC_URI="
+       
https://github.com/bitcoin/bitcoin/archive/${BITCOINCORE_COMMITHASH}.tar.gz -> 
bitcoin-v${PV}.tar.gz
+       
https://bitcoinknots.org/files/0.21.x/${KNOTS_PV}/${KNOTS_P}.patches.txz -> 
${KNOTS_P}.patches.tar.xz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+
+IUSE="+asm +berkdb dbus kde knots +qrcode sqlite +system-leveldb test upnp 
+wallet zeromq"
+RESTRICT="!test? ( test )"
+
+REQUIRED_USE="
+       sqlite? ( wallet )
+       berkdb? ( wallet )
+       wallet? ( || ( berkdb sqlite ) )
+"
+RDEPEND="
+       >=dev-libs/boost-1.58.0:=[threads(+)]
+       >dev-libs/libsecp256k1-0.1_pre20200911:=[recovery,schnorr]
+       >=dev-libs/univalue-1.0.4:=
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtwidgets:5
+       system-leveldb? ( virtual/bitcoin-leveldb )
+       dbus? ( dev-qt/qtdbus:5 )
+       dev-libs/libevent:=
+       qrcode? (
+               media-gfx/qrencode:=
+       )
+       sqlite? ( >=dev-db/sqlite-3.7.17:= )
+       upnp? ( >=net-libs/miniupnpc-1.9.20150916:= )
+       berkdb? ( sys-libs/db:$(db_ver_to_slot "${DB_VER}")=[cxx] )
+       zeromq? ( net-libs/zeromq:= )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       >=sys-devel/autoconf-2.69
+       >=sys-devel/automake-1.13
+       dev-qt/linguist-tools:5
+       knots? (
+               gnome-base/librsvg
+               media-gfx/imagemagick[png]
+       )
+"
+
+DOCS=(
+       doc/bips.md
+       doc/bitcoin-conf.md
+       doc/descriptors.md
+       doc/files.md
+       doc/JSON-RPC-interface.md
+       doc/psbt.md
+       doc/reduce-traffic.md
+       doc/release-notes.md
+       doc/REST-interface.md
+       doc/tor.md
+)
+
+S="${WORKDIR}/bitcoin-${BITCOINCORE_COMMITHASH}"
+
+pkg_pretend() {
+       if use knots; then
+               elog "You are building ${PN} from Bitcoin Knots."
+               elog "For more information, see:"
+               elog 
"https://bitcoinknots.org/files/0.21.x/${KNOTS_PV}/${KNOTS_P}.desc.html";
+       else
+               elog "You are building ${PN} from Bitcoin Core."
+               elog "For more information, see:"
+               elog "https://bitcoincore.org/en/2021/05/01/release-${PV}/";
+       fi
+       elog
+       elog "Replace By Fee policy is now always enabled by default: Your node 
will"
+       elog "preferentially mine and relay transactions paying the highest 
fee, regardless"
+       elog "of receive order. To disable RBF, set mempoolreplacement=never in 
bitcoin.conf"
+       if has_version "<${CATEGORY}/${PN}-0.21.1" ; then
+               ewarn "CAUTION: BITCOIN PROTOCOL CHANGE INCLUDED"
+               ewarn "This release adds enforcement of the Taproot protocol 
change to the Bitcoin"
+               ewarn "rules, beginning in November. Protocol changes require 
user consent to be"
+               ewarn "effective, and if enforced inconsistently within the 
community may compromise"
+               ewarn "your security or others! If you do not know what you are 
doing, learn more"
+               ewarn "before November. (You must make a decision either way - 
simply not upgrading"
+               ewarn "is insecure in all scenarios.)"
+               ewarn "To learn more, see https://bitcointaproot.cc";
+       fi
+}
+
+src_prepare() {
+       sed -i 's/^\(complete -F _bitcoind \)bitcoind \(bitcoin-qt\)$/\1\2/' 
contrib/bitcoind.bash-completion || die
+
+       # Save the generic icon for later
+       cp src/qt/res/src/bitcoin.svg bitcoin128.svg || die
+
+       local knots_patchdir="${WORKDIR}/${KNOTS_P}.patches/"
+
+       eapply "${knots_patchdir}/${KNOTS_P}.syslibs.patch"
+
+       if use knots; then
+               eapply "${knots_patchdir}/${KNOTS_P}.f.patch"
+               eapply "${knots_patchdir}/${KNOTS_P}.branding.patch"
+               eapply "${knots_patchdir}/${KNOTS_P}.ts.patch"
+       fi
+
+       eapply_user
+
+       echo '#!/bin/true' >share/genbuild.sh || die
+       mkdir -p src/obj || die
+       echo "#define BUILD_SUFFIX gentoo${PVR#${PV}}" >src/obj/build.h || die
+
+       eautoreconf
+       rm -r src/secp256k1 || die
+       if use system-leveldb; then
+               rm -r src/leveldb || die
+       fi
+}
+
+src_configure() {
+       local my_econf=(
+               $(use_enable asm)
+               $(use_with dbus qtdbus)
+               $(use_with qrcode qrencode)
+               $(use_with upnp miniupnpc)
+               $(use_enable upnp upnp-default)
+               $(use_enable test tests)
+               $(use_enable wallet)
+               $(use_enable zeromq zmq)
+               --with-gui=qt5
+               --disable-util-cli
+               --disable-util-tx
+               --disable-util-wallet
+               --disable-bench
+               --without-libs
+               --without-daemon
+               --disable-fuzz
+               --disable-ccache
+               --disable-static
+               $(use_with berkdb bdb)
+               $(use_with sqlite)
+               $(use_with system-leveldb)
+               --with-system-libsecp256k1
+               --with-system-univalue
+       )
+       econf "${my_econf[@]}"
+}
+
+src_install() {
+       default
+
+       if use test; then
+               rm -f "${ED}/usr/bin/test_bitcoin" || die
+       fi
+
+       insinto /usr/share/icons/hicolor/scalable/apps/
+       doins bitcoin128.svg
+       if use knots; then
+               newins src/qt/res/src/bitcoin.svg bitcoinknots.svg
+       fi
+
+       cp "${FILESDIR}/org.bitcoin.bitcoin-qt.desktop" "${T}" || die
+       if ! use knots; then
+               sed -i 's/Knots/Core/;s/^\(Icon=\).*$/\1bitcoin128/' 
"${T}/org.bitcoin.bitcoin-qt.desktop" || die
+       fi
+       domenu "${T}/org.bitcoin.bitcoin-qt.desktop"
+
+       use zeromq && dodoc doc/zmq.md
+
+       newbashcomp contrib/bitcoind.bash-completion ${PN}
+
+       if use kde; then
+               insinto /usr/share/kservices5
+               doins "${FILESDIR}/bitcoin-qt.protocol"
+               dosym "../../kservices5/bitcoin-qt.protocol" 
"/usr/share/kde4/services/bitcoin-qt.protocol"
+       fi
+}
+
+update_caches() {
+       xdg_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postinst() {
+       update_caches
+
+       elog "To have ${PN} automatically use Tor when it's running, be sure 
your"
+       elog "'torrc' config file has 'ControlPort' and 'CookieAuthentication' 
setup"
+       elog "correctly, and add your user to the 'tor' user group."
+}
+
+pkg_postrm() {
+       update_caches
+}

Reply via email to